/***********************************************************************
**                                                                    **
**  listing_6_13.c                                                    **
**                                                                    **
**  Three labels and a Paned Window. This program demonstrates the    **
**  use of XmRowColumn.                                               **
**                                                                    **
***********************************************************************/


#include <Xm/PanedW.h>
#include <Xm/Label.h>


Widget	appshell,			/* Application Shell	      */
	the_win,			/* The Paned Window           */
	labels[3];			/* The children		      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_6_13", NULL, 0, &argc, argv );

    the_win = XmCreatePanedWindow( appshell, "PanedWin", NULL, 0 );
    XtManageChild( the_win );

    labels[0] = XmCreateLabel( the_win, "Label_0", NULL, 0 );
    labels[1] = XmCreateLabel( the_win, "Label_1", NULL, 0 );
    labels[2] = XmCreateLabel( the_win, "Label_2", NULL, 0 );
    XtManageChildren( labels, 3 );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
